﻿
Namespace Processing
    Public Class BaseProcess(Of T As {Class, New})
        Inherits DataModel.BaseDataModel(Of T)
        Implements Interfaces.IIsEnabled

        Public Property IsEnabled As Boolean Implements Interfaces.IIsEnabled.IsEnabled
            Get
                Return m_IsEnabled
            End Get
            Set(value As Boolean)
                If m_IsEnabled = value Then
                    Return
                End If
                m_IsEnabled = value
                OnPropertyChanged("IsEnabled")
            End Set
        End Property
        Private m_IsEnabled As Boolean = True
    End Class
End Namespace
